RootEntityResultTransformer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transform
Class RootEntityResultTransformer

    java.lang.Object
      org.hibernate.transform.BasicTransformerAdapter
          org.hibernate.transform.RootEntityResultTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer, TupleSubsetResultTransformer

    public final class RootEntityResultTransformer

extends BasicTransformerAdapter
implements TupleSubsetResultTransformer

`ResultTransformer` implementation which limits the result tuple to only the "root entity".

Since this transformer is stateless, all instances would be considered equal. So for optimization purposes we limit it to a single, singleton `instance`.

See Also:
  Serialized Form

Field Summary
`static RootEntityResultTransformer` | `INSTANCE`

Method Summary
`boolean[]` | `includeInTransform(String[] aliases, int tupleLength)` Returns an array with the i-th element indicating whether the i-th element of the tuple is included in the transformed value.
`boolean` | `isTransformedValueATupleElement(String[] aliases, int tupleLength)` When a tuple is transformed, is the result a single element of the tuple?
`Object` | `transformTuple(Object[] tuple, String[] aliases)` Return just the root entity from the row tuple.

Methods inherited from class org.hibernate.transform.BasicTransformerAdapter
`transformList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.transform.ResultTransformer
`transformList`

Field Detail

### INSTANCE

    public static final RootEntityResultTransformer INSTANCE

Method Detail

### transformTuple

    public Object transformTuple(Object[] tuple,
                                 String[] aliases)

  Return just the root entity from the row tuple.

  Specified by:
    `transformTuple` in interface `ResultTransformer`
  Overrides:
    `transformTuple` in class `BasicTransformerAdapter`
  Parameters:
    `tuple` - The result elements
    `aliases` - The result aliases ("parallel" array to tuple)
  Returns:
    The transformed row.

### isTransformedValueATupleElement

    public boolean isTransformedValueATupleElement(String[] aliases,
                                                   int tupleLength)

  When a tuple is transformed, is the result a single element of the tuple?

  Specified by:
    `isTransformedValueATupleElement` in interface `TupleSubsetResultTransformer`
  Parameters:
    `aliases` - - the aliases that correspond to the tuple
    `tupleLength` - - the number of elements in the tuple
  Returns:
    true, if the transformed value is a single element of the tuple; false, otherwise.

### includeInTransform

    public boolean[] includeInTransform(String[] aliases,
                                        int tupleLength)

  Returns an array with the i-th element indicating whether the i-th element of the tuple is included in the transformed value.

  Specified by:
    `includeInTransform` in interface `TupleSubsetResultTransformer`
  Parameters:
    `aliases` - - the aliases that correspond to the tuple
    `tupleLength` - - the number of elements in the tuple
  Returns:
    array with the i-th element indicating whether the i-th element of the tuple is included in the transformed value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.